This page in other versions: 1.0 / 2.0

A.3. Release 1.0.0

The 1.0.0 release improves schema change DDL locking, the documentation, managment tools, and more. It is a straightforward upgrade for 0.9.x users, however they should upgrade to bdr-pg 9.4.9 before upgrading to bdr-plugin 1.0.0.

The most important changes are:

There are important compatibility changes in this release. BDR 1.0 removes UDR. If you need one-way replication on unpatched community PostgreSQL 9.4/9.5/9.6, use pglogical instead. BDR 1.0 is also fully not interoperable with 0.9.x; it cannot join a 0.9.x group and 0.9.x cannot join a 1.0 group. However individual nodes in the existing 0.9.x cluster can be upgraded to 1.0 one by one, keeping the cluster as a whole available during the process.

Changes in release:

The biggest changes are around Section 8.1.1.